/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

@import '~@angular/material/theming';

@mixin parameters-edit-component-theme($theme) {

  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $complete: mat-palette($mat-green, 500);

  .return-link {
    color: mat-color($primary);
  }

  .mat-list-item .task-complete {
    color: mat-color($complete);
  }

  .mat-list-item .task-error {
    color: mat-color($warn);
  }

  .parameter-input {
    background-color: mat-color($primary, 50);
  }

  .parameter-error {
    color: mat-color($warn);
    background-color: mat-color($warn, lighter);
  }

}
